<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:p="http://primefaces.org/ui">    
    <h:head>
        <title>Tráfico Libre</title>
        <link rel="stylesheet" type="text/css" href="../../carpetagacss/estilos.css"></link>
        <link rel="icon" href="../../imagenes/logo.ico"></link>
        <meta name="viewport" content="width=device-width, initial-scale=1.0"/>
    </h:head>
    <h:body>

        <header>
            <ui:include src="../menu/CabeceraMenu.xhtml" />
        </header>

        <center>
            <table>
                <tr>
                    <td colspan="4">
                        <div class="advertencia">
                            <h:form id="vehiculoForm">
                                <p:growl id="messages" showDetail="true" />
                                <p:panelGrid id="panelVehiculos" columns="6">
                                    <f:facet name="header">REGISTRAR NUEVO VEHICULO</f:facet>
                                    <h:outputText value="PLACA:" style="width: 150px"/>
                                    <p:inputText value="#{vehiculoBean.vehiculo.placa}" style="width: 150px"/>
                                    <h:outputText value="MARCA:" style="width: 150px"/>
                                    <p:inputText value="#{vehiculoBean.vehiculo.marca}" style="width: 150px"/>
                                    <h:outputText value="MODELO" style="width: 150px"/>
                                    <p:inputText value="#{vehiculoBean.vehiculo.modelo}" style="width: 150px"/>

                                    <h:outputText value="CILINDRAJE:" style="width: 150px"/>
                                    <p:inputText value="#{vehiculoBean.vehiculo.cilindraje}" style="width: 150px"/>
                                    <h:outputText value="NRO MOTOR:" style="width: 150px"/>
                                    <p:inputText value="#{vehiculoBean.vehiculo.nromotor}" style="width: 150px"/>
                                    <h:outputText value="NRO CHASIS:" style="width: 150px"/>
                                    <p:inputText value="#{vehiculoBean.vehiculo.nrochasis}" style="width: 150px"/>

                                    <h:outputText value="TIPO VEHICULO:" style="width: 150px"/>
                                    <p:selectOneMenu value="#{vehiculoBean.vehiculo.tipovehiculo}" style="width: 150px">
                                        <f:selectItem itemLabel="Seleccione Tipo Vehículo"/>
                                        <f:selectItems value="#{vehiculoBean.listadoTipoVehiculos}"/>
                                    </p:selectOneMenu>
                                    <h:outputText value="CAPACIDAD:" style="width: 150px"/>
                                    <p:inputText value="#{vehiculoBean.vehiculo.capacidad}" style="width: 150px"/>
                                    <h:outputText value="CANTIDAD RUEDAS:" style="width: 150px"/>
                                    <p:inputText value="#{vehiculoBean.vehiculo.cantidadruedas}" style="width: 150px"/>

                                    <h:outputText value="NRO SOAT:" style="width: 150px"/>
                                    <p:inputText value="#{vehiculoBean.vehiculo.soat}" style="width: 150px"/>
                                    <h:outputText value="FECHA VENCIMIENTO SOAT:" style="width: 150px"/>
                                    <p:calendar  value="#{vehiculoBean.vehiculo.fechasoat}"
                                                 locale="es"/>
                                    <h:outputText value="" style="width: 150px"/>
                                    <h:outputText value="" style="width: 150px"/>

                                    <h:outputText value="NRO RTM:" style="width: 150px"/>
                                    <p:inputText value="#{vehiculoBean.vehiculo.rtm}" style="width: 150px"/>
                                    <h:outputText value="FECHA VENCIMIENTO RTM:" style="width: 150px"/>
                                    <p:calendar  value="#{vehiculoBean.vehiculo.fechartm}"
                                                 locale="es"/>
                                    <h:outputText value="" style="width: 150px"/>
                                    <h:outputText value="" style="width: 150px"/>

                                    <h:outputText value="TIPO PROPIETARIO" style="width: 150px"/>
                                    <p:selectOneMenu value="#{vehiculoBean.vehiculo.tipopropietario}" style="width: 150px">
                                        <f:selectItem itemLabel="Seleccione Tipo Vehículo"/>
                                        <f:selectItems value="#{vehiculoBean.listadoTipoPropietarios}"/>
                                    </p:selectOneMenu>
<!--                                    <h:outputText value="FOTO:" style="width: 150px"/>
                                    <p:inputText value="#{vehiculoBean.vehiculo.foto}" style="width: 150px"/>-->
                                    <h:outputText value="" style="width: 150px"/>
                                    <h:outputText value="" style="width: 150px"/>


                                    <p:commandButton id="botonGuardar" value="Guardar" class="botonbuscador" 
                                                     action="#{vehiculoBean.registrarVehiculo()}" update="vehiculoForm, tablaConductor"/>
                                    <p:commandButton type="reset" value="Borrar" class="botonbuscador" style="width: 150px"/>
                                </p:panelGrid>
                                <br></br>
                                <p:scrollPanel style="width:900px;height:200px">
                                    <p:dataTable id="tablaConductor" var="vehiculo" value="#{vehiculoBean.listadoVehiculos}"
                                                 emptyMessage="Sin Registros">
                                        <p:column headerText="PLACA">
                                            <h:outputText value="#{vehiculo.placa}"/>
                                        </p:column>     
                                        <p:column headerText="MARCA">
                                            <h:outputText value="#{vehiculo.marca}"/>
                                        </p:column>    
                                        <p:column headerText="CILINDRAJE">
                                            <h:outputText value="#{vehiculo.cilindraje}"/>
                                        </p:column>    
                                        <p:column headerText="MODELO">
                                            <h:outputText value="#{vehiculo.modelo}"/>
                                        </p:column>    
                                        <p:column headerText="CAPACIDAD(Tn)">
                                            <h:outputText value="#{vehiculo.capacidad}"/>
                                        </p:column>
                                    </p:dataTable>
                                </p:scrollPanel>
                            </h:form>
                        </div>
                    </td>
                </tr>
            </table>
        </center>           
        <footer>
            <a target="_blank" href="http://www.facebook.com"><img src="../../imagenes/Facebook.png" class="redsocial"></img></a>

            <a target="_blank" href="http://www.instagram.com"><img src="../../imagenes/Instagram.png" class="redsocial"></img></a>

            <a target="_blank" href="http://www.twitter.com"><img src="../../imagenes/Twitter.png" class="redsocial"></img></a>
            | Copyright 2014-2019 Tráfico Libre - <a href="#" class="privacidad">Privacidad-condiciones</a>
        </footer> 

    </h:body>
</html>

